Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource
Class ResourceKey

    java.lang.Object
      org.richfaces.resource.ResourceKey

    public final class ResourceKey

extends java.lang.Object

Author:
  Nick Belaevski

Field Summary
`static com.google.common.base.Function<java.lang.String,ResourceKey>` | `FACTORY`

Constructor Summary
`ResourceKey(java.lang.String resourceName, java.lang.String libraryName)`

Method Summary
`static ResourceKey` | `create(java.lang.String resourceQualifier)`
`static ResourceKey` | `create(java.lang.String resourceName, java.lang.String libraryName)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getLibraryName()`
`java.lang.String` | `getResourceName()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### FACTORY

    public static final com.google.common.base.Function<java.lang.String,ResourceKey> FACTORY

Constructor Detail

### ResourceKey

    public ResourceKey(java.lang.String resourceName,
                       java.lang.String libraryName)

Method Detail

### create

    public static ResourceKey create(java.lang.String resourceQualifier)

### create

    public static ResourceKey create(java.lang.String resourceName,
                                     java.lang.String libraryName)

### getResourceName

    public java.lang.String getResourceName()

### getLibraryName

    public java.lang.String getLibraryName()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.